#include <stdlib.h>
#include <check.h>
#include "test_align.h"
#include "test_generated_haploids.h"

int main(void)
{
  Suite *suites[] = {
    test_align_suite()
    ,test_generated_haploids_suite()
  };
  int n = sizeof(suites) / sizeof(suites[0]);

  int failed = 0;
  for (int i = 0; i < n; i++) {
    SRunner *sr = srunner_create(suites[i]);
    srunner_run_all(sr, CK_ENV);
    failed += srunner_ntests_failed(sr);
    srunner_free(sr);
  }

  return (failed == 0) ? EXIT_SUCCESS : EXIT_FAILURE;
}
